Subject: bug#65491: [PATCH] Improve performance allocating vectors

From: Paul Eggert <[email-masked]>
Date: Sun, 17 Sep 2023 09:37:29 -0700

On 2023-09-17 09:15, Eli Zaretskii wrote:
> Even though the code is so completely obfuscated and hard to
> understand?

If it's confusing, let's add a comment. That would be better than 
unnecessarily duplicating the actual code.

> We also have USE_LSB_TAG and LISP_WORDS_ARE_POINTERS

Yes, and we should minimize dependencies on those macros as well. The 
same principle applies to all these conditional flags - generally 
speaking the fewer uses of these macros, and the fewer distinct copies 
of the code, the better.

We could even dump those two macros entirely. But this would be a bigger 
project, one I lack time for (though perhaps Mattias has time...).

> I frequently find it easier to fire up GDB
> and ask it to show me the values

Oh, I do that all the time too, with both Emacs and other programs. It's 
OK. Why refuse help from GDB?